%define libname lib%{name}

%define _libexecdir /usr/libexec

Summary:  Tools to configure the keyboard, the mice and the graphic card
Name:     drakx-kbd-mouse-x11
Version:  1.9
Release:  %mkrel 7
Source0:  %name-%version.tar.xz
License:  GPLv2+
Group:    System/Configuration
BuildRequires: perl-MDK-Common-devel
BuildRequires: gettext 
BuildRequires: perl-devel
BuildRequires: libxxf86misc-devel 
BuildRequires: ncurses-devel
BuildRequires: intltool
Requires: drakxtools-curses
Requires: %{libname} = %{version}
Requires: polkit
Requires: monitor-edid
Requires: ldetect-lst
Requires: drakx-kbd-mouse-x11-text

# we don't want to require X libs (xf86misc is always used inside an eval)
%global __requires_exclude ^libX|perl\\([a-z].*\\)

%description
Keyboarddrake enables to configure  the keyboard.
Mousedrake enables to configure the mice.
XFdrake enables to configure the graphic card.

%package text
Summary: %_vendor network tools library
Group: System/Networking
Requires: drakxtools-backend

%description text
This package contains the %_vendor X11 tools library.

%package -n %libname
Summary: %_vendor network tools library
Group: System/Networking
Requires: drakxtools-backend

%description -n %libname
This package contains the %_vendor X11 tools library.

%prep
%setup -q

%build
%make

%install
rm -rf %buildroot
%makeinstall_std

mkdir -p %buildroot/sbin
install -m 0755 tools/display_driver_helper %buildroot/sbin/display_driver_helper


%find_lang %name

%files -f %{name}.lang
%doc COPYING NEWS
/sbin/display_driver_helper
%{_sbindir}/display_driver_helper
%{_sbindir}/drakx-update-background
%{_bindir}/drakkeyboard
%{_bindir}/drakmouse
%{_bindir}/drakx11
%{_bindir}/keyboarddrake
%{_bindir}/mousedrake
%{_bindir}/XFdrake
%{_bindir}/Xdrakres
%{_libexecdir}/drakkeyboard
%{_libexecdir}/drakmouse
%{_libexecdir}/drakx11
%{_datadir}/polkit-1/actions/*.policy

%files text
%{_prefix}/lib/libDrakX/Xconfig/resolution_and_depth.pm

%files -n %{libname}
%{_datadir}/libDrakX/pixmaps/*
%{_prefix}/lib/libDrakX/auto/*
%{_prefix}/lib/libDrakX/xf86misc/main.pm
%{_prefix}/lib/libDrakX/Xconfig/*.pm
%exclude %{_prefix}/lib/libDrakX/Xconfig/resolution_and_depth.pm
%dir %{_prefix}/lib/libDrakX/Xconfig
%{_prefix}/lib/libDrakX/*.pm


%changelog
* Thu Apr 14 2016 TerryN <terryn94 at gmail.com> 1.9-6pclos2016
- don't call change_bootloader_config on LiveCD

* Sun Feb 21 2016 bb <bb> 1.9-5pclos2016
- put display_driver_helper in sbin too to
- avoid redoing the initscript package

* Sat Feb 20 2016 bb <bb> 1.9-4pclos2016
- use older version with mods of display_driver_helper
- due to using older version of modprobe that does not
- support the -R option

* Wed Feb 17 2016 bb <bb> 1.9-3pclos2016
- minor cosmetic adjustments

* Tue Feb 16 2016 bb <bb> 1.9-2pclos2016
- replace systemctl command with sysvinit command

* Sat Feb 13 2016 bb <bb> 1.9-1pclos2016
- import from france for pclos with mods
